# The RRDCreator class

(PECL rrd >= 0.9.0)

## Introduction

Class for creation of RRD database file.

## Class synopsis

RRDCreator {
/* Methods */
public addArchive ( string `$description` ) : void
public addDataSource ( string `$description` ) : void
public __construct ( string `$path` [, string `$startTime` [, int `$step` = 0 ]] )
public save ( void ) : bool
}

## Table of Contents

- RRDCreator::addArchive — Adds RRA - archive of data values for each data source
- RRDCreator::addDataSource — Adds data source definition for RRD database
- RRDCreator::__construct — Creates new RRDCreator instance
- RRDCreator::save — Saves the RRD database to a file